[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashObjectList.Find

Find data associated with key

## Declaration

Source position: contnrs.pp line 311

`public function TFPHashObjectList.Find(`
`const s: shortstring`
`):TObject;`

## Arguments

`s` |  | Key name to search for.

## Function result

Object associated with AName or Nil if it does not exist.

## Description

Find searches (using the hash) for the data object associated with key AName and returns the data object instance associated with it. If the object is not found, Nil is returned. It uses the hash value of the key to perform the search.

## See also

TFPHashObjectList.HashOfIndex |  | Return the hash valye of an object by index
TFPHashObjectList.NameOfIndex |  | Returns the key name of an object by index
TFPHashObjectList.IndexOf |  | Return the index of the object instance
TFPHashObjectList.FindIndexOf |  | Return index of named object.
TFPHashObjectList.FindWithHash |  | Find first element with given name and hash value

The latest version of this document can be found at lazarus-ccr.sourceforge.net.